Embeddings
Embeddings
GET /api/v1/embeddings
Get Embeddings
Response
Type: []Embedding
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
model_version_id | string | |
embedding | pq.Float64Array | |
norm | float64 | |
user_id | string |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/embeddingsPOST /api/v1/embeddings
Create Embedding
Request Body
Type: Embedding
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
model_version_id | string | |
embedding | pq.Float64Array | |
norm | float64 | |
user_id | string |
Response
Type: Embedding
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
model_version_id | string | |
embedding | pq.Float64Array | |
norm | float64 | |
user_id | string |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/embeddingsDELETE /api/v1/embeddings
Delete Embedding
Response
Type: Embedding
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
model_version_id | string | |
embedding | pq.Float64Array | |
norm | float64 | |
user_id | string |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/embeddings